/* eslint-disable react-hooks/rules-of-hooks */
import { test as base } from "@playwright/test";
import { installElementHighlighter } from "./utils/element-highlighter";
import { installMouseOverlay } from "./utils/mouse-overlay";

export const test = base.extend({
  page: async ({ page }, use) => {
    await installElementHighlighter(page);
    await installMouseOverlay(page);
    await use(page);
  },
});

export const expect = base.expect;
